# BEGIN SourceDeps(oneline):
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-String-Base
Version:        0.001
Release:        alt1_4
Summary:        String index offsetting
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/String-Base/
Source0:        http://www.cpan.org/authors/id/Z/ZE/ZEFRAM/String-Base-%{version}.tar.gz
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(ExtUtils/CBuilder.pm)
# Run-Time:
BuildRequires:  perl(Lexical/SealRequireHints.pm)
BuildRequires:  perl(XSLoader.pm)
# Tests:
BuildRequires:  perl(Test/More.pm)
# Optional tests:
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
Conflicts:      perl(B/Hooks/OP/Check.pm) < 0.19


Source44: import.info

%description
This module implements automatic offsetting of string indices. In normal
Perl, the first character of a string has index 0, the second character has
index 1, and so on. This module allows string indexes to start at some
other value. Most commonly it is used to give the first character of a
string the index 1 (and the second 2, and so on), to imitate the indexing
behavior of FORTRAN and many other languages. It is usually considered
poor style to do this.

%prep
%setup -q -n String-Base-%{version}

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/String*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1_4
- update to new release by fcimport

* Fri Sep 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1_3
- new version

